%if 0%{?fedora}
%global with_python3 1
%else
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%global srcname jaraco-itertools
%global upstreamname jaraco.itertools

Name:           python-jaraco-itertools
Version:        1.7.1
Release:        2%{?dist}
Summary:        Tools for working with iterables

License:        MIT
URL:            https://pypi.python.org/pypi/%{upstreamname}/
Source0:        https://pypi.python.org/packages/source/j/%{upstreamname}/%{upstreamname}-%{version}.tar.gz
BuildArch:      noarch

Provides: python2-%{srcname} = %{version}-%{release}

Requires: python-six
Requires: python-more_itertools
Requires: python-inflect
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python2-setuptools_scm
BuildRequires: python-sphinx
BuildRequires: python-pytest-runner
BuildRequires: python-six
BuildRequires: python-more_itertools
BuildRequires: python-inflect

%if 0%{?with_python3}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-setuptools_scm
BuildRequires: python3-pytest-runner
BuildRequires: python3-six
BuildRequires: python3-more_itertools
BuildRequires: python3-inflect
%endif

%description
jaraco.itertools provides classes and functions for working with iterables in
python.  It is intended to complement the stdlib itertools and more_itertools
packages.

%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary: Tools for working with iterables

Requires: python3-six
Requires: python3-more_itertools
Requires: python3-inflect

%description -n python3-%{srcname}
jaraco.itertools provides classes and functions for working with iterables in
python.  It is intended to complement the stdlib itertools and more_itertools
packages.

This package contains the version of the module designed to work with python3
%endif

%prep
%setup -q -n %{upstreamname}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python2} setup.py build
%{__python2} setup.py build_sphinx

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
rm -rf %{buildroot}
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%check
%{__python2} setup.py test

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%files
%doc README.rst CHANGES.rst docs
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc README.rst CHANGES.rst docs
%{python3_sitelib}/*
%endif

%changelog
* Mon Jan 18 2016 Toshio Kuratomi <toshio@fedoraproject.org> - 1.7.1-2
- Minor cleanups

* Mon Jan 18 2016 Toshio Kuratomi <toshio@fedoraproject.org> - 1.7.1-1
- Initial Fedora build
